#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 assoc
version:              1.0.2
visibility:           public
id:                   assoc-1.0.2-GmMOpPZ9z386Mj7PT5K4jX
key:                  assoc-1.0.2-GmMOpPZ9z386Mj7PT5K4jX
license:              BSD-3-Clause
maintainer:           Oleg Grenrus <oleg.grenrus@iki.fi>
author:               Oleg Grenrus <oleg.grenrus@iki.fi>
synopsis:             swap and assoc: Symmetric and Semigroupy Bifunctors
description:
    Provides generalisations of
    @swap :: (a,b) -> (b,a)@ and
    @assoc :: ((a,b),c) -> (a,(b,c))@
    to
    @Bifunctor@s supporting similar operations (e.g. @Either@, @These@).

category:             Data
abi:                  6dee66aa41ddd62fd7b03bba7c80bfa9
exposed:              True
exposed-modules:      Data.Bifunctor.Assoc Data.Bifunctor.Swap
import-dirs:          /usr/lib/ghc-9.0.2/site-local/assoc-1.0.2
library-dirs:         /usr/lib/ghc-9.0.2/site-local/assoc-1.0.2
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-assoc
hs-libraries:         HSassoc-1.0.2-GmMOpPZ9z386Mj7PT5K4jX
depends:
    base-4.15.1.0 bifunctors-5.5.15-KgJPu1BGt3kAyqv6qT5yBZ
    tagged-0.8.7-8MQxDldL1qw9fJF5LZxnpf

haddock-interfaces:   /usr/share/doc/haskell-assoc/html/assoc.haddock
haddock-html:         /usr/share/doc/haskell-assoc/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

